### Method

# EDataServer Flag timed_wait

deprecated: 3.8 since: 1.12

#### Declaration [src]

    gboolean
    e_flag_timed_wait (
      EFlag* flag,
      GTimeVal* abs_time
    )

#### Description [src]

Blocks until `flag` is set, or until the time specified by `abs_time`. If `flag` is already set, the function returns immediately. The return value indicates the state of `flag` after waiting.

If `abs_time` is `NULL`, `e_flag_timed_wait()` acts like e_flag_wait().

To easily calculate `abs_time`, a combination of `g_get_current_time()` and `g_time_val_add()` can be used.

Available since: 1.12

Deprecated since: 3.8

Use `e_flag_wait_until()` instead.

This method is not directly available to language bindings.

#### Parameters

`abs_time`

  Type: `GTimeVal`

  A `GTimeVal`, determining the final time.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `flag` is now set.